package com.muyu.product.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.product.domain.model.RuleAttrAddModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * @ClassName RuleAttrReq
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/3/7/0007 9:02
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class RuleAttrReq extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;
    /**规格名称*/
    private String name;
    /** 属性组 */
    private List<RuleAttrAddModel> ruleAttrList;
    /** 是否启用 */
    private String states;


}
